Skip to content
Start here

Batch DNS Records

dns.records.batch(RecordBatchParams**kwargs) -> RecordBatchResponse
POST/zones/{zone_id}/dns_records/batch

Send a Batch of DNS Record API calls to be executed together.

Notes:

  • Although Cloudflare will execute the batched operations in a single database transaction, Cloudflare's distributed KV store must treat each record change as a single key-value pair. This means that the propagation of changes is not atomic. See the documentation for more information.

  • The operations you specify within the /batch request body are always executed in the following order:

    • Deletes
    • Patches
    • Puts
    • Posts
Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS Write
ParametersExpand Collapse
zone_id: str

Identifier.

maxLength32
deletes: Optional[Iterable[Delete]]
id: str

Identifier.

maxLength32
patches: Optional[Iterable[BatchPatchParam]]
One of the following:
class ARecord:
id: str

Identifier.

maxLength32
class AAAARecord:
id: str

Identifier.

maxLength32
class CNAMERecord:
id: str

Identifier.

maxLength32
class MXRecord:
id: str

Identifier.

maxLength32
class NSRecord:
id: str

Identifier.

maxLength32
class OpenpgpkeyRecord:
id: str

Identifier.

maxLength32
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[OpenpgpkeyRecordSettings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class PTRRecord:
id: str

Identifier.

maxLength32
class TXTRecord:
id: str

Identifier.

maxLength32
class CAARecord:
id: str

Identifier.

maxLength32
class CERTRecord:
id: str

Identifier.

maxLength32
class DNSKEYRecord:
id: str

Identifier.

maxLength32
class DSRecord:
id: str

Identifier.

maxLength32
class HTTPSRecord:
id: str

Identifier.

maxLength32
class LOCRecord:
id: str

Identifier.

maxLength32
class NAPTRRecord:
id: str

Identifier.

maxLength32
class SMIMEARecord:
id: str

Identifier.

maxLength32
class SRVRecord:
id: str

Identifier.

maxLength32
class SSHFPRecord:
id: str

Identifier.

maxLength32
class SVCBRecord:
id: str

Identifier.

maxLength32
class TLSARecord:
id: str

Identifier.

maxLength32
class URIRecord:
id: str

Identifier.

maxLength32
posts: Optional[Iterable[Post]]
One of the following:
class ARecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["A"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A valid IPv4 address.

formatipv4
private_routing: Optional[bool]

Enables private network routing to the origin.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class AAAARecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["AAAA"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A valid IPv6 address.

formatipv6
private_routing: Optional[bool]

Enables private network routing to the origin.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class CNAMERecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["CNAME"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A valid hostname. Must not match the record's name.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

flatten_cname: Optional[bool]

If enabled, causes the CNAME record to be resolved externally and the resulting address records (e.g., A and AAAA) to be returned instead of the CNAME record itself. This setting is unavailable for proxied records, since they are always flattened.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class MXRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["MX"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A valid mail server hostname.

formathostname
priority: Optional[float]

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class NSRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["NS"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A valid name server host name.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class PostDNSRecordsOpenpgpkeyRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[PostDNSRecordsOpenpgpkeyRecordSettings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[SequenceNotStr[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class PTRRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["PTR"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Domain name pointing to the address.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class TXTRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["TXT"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Text content for the record. The content must consist of quoted "character strings" (RFC 1035), each with a length of up to 255 bytes. Strings exceeding this allowed maximum length are automatically split.

Learn more at https://www.cloudflare.com/learning/dns/dns-records/dns-txt-record/.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class CAARecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["CAA"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted CAA content. See 'data' to set CAA properties.

data: Optional[Data]

Components of a CAA record.

flags: Optional[float]

Flags for the CAA record.

maximum255
minimum0
tag: Optional[str]

Name of the property controlled by this record (e.g.: issue, issuewild, iodef).

value: Optional[str]

Value of the record. This field's semantics depend on the chosen tag.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class CERTRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["CERT"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted CERT content. See 'data' to set CERT properties.

data: Optional[Data]

Components of a CERT record.

algorithm: Optional[float]

Algorithm.

maximum255
minimum0
certificate: Optional[str]

Certificate.

key_tag: Optional[float]

Key Tag.

maximum65535
minimum0
type: Optional[float]

Type.

maximum65535
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class DNSKEYRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["DNSKEY"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted DNSKEY content. See 'data' to set DNSKEY properties.

data: Optional[Data]

Components of a DNSKEY record.

algorithm: Optional[float]

Algorithm.

maximum255
minimum0
flags: Optional[float]

Flags.

maximum65535
minimum0
protocol: Optional[float]

Protocol.

maximum255
minimum0
public_key: Optional[str]

Public Key.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class DSRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["DS"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted DS content. See 'data' to set DS properties.

data: Optional[Data]

Components of a DS record.

algorithm: Optional[float]

Algorithm.

maximum255
minimum0
digest: Optional[str]

Digest.

digest_type: Optional[float]

Digest Type.

maximum255
minimum0
key_tag: Optional[float]

Key Tag.

maximum65535
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class HTTPSRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["HTTPS"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted HTTPS content. See 'data' to set HTTPS properties.

data: Optional[Data]

Components of a HTTPS record.

priority: Optional[float]

Priority.

maximum65535
minimum0
target: Optional[str]

Target.

value: Optional[str]

Value.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class LOCRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["LOC"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted LOC content. See 'data' to set LOC properties.

data: Optional[Data]

Components of a LOC record.

altitude: Optional[float]

Altitude of location in meters.

maximum42849672.95
minimum-100000
lat_degrees: Optional[float]

Degrees of latitude.

maximum90
minimum0
lat_direction: Optional[Literal["N", "S"]]

Latitude direction.

One of the following:
"N"
"S"
lat_minutes: Optional[float]

Minutes of latitude.

maximum59
minimum0
lat_seconds: Optional[float]

Seconds of latitude.

maximum59.999
minimum0
long_degrees: Optional[float]

Degrees of longitude.

maximum180
minimum0
long_direction: Optional[Literal["E", "W"]]

Longitude direction.

One of the following:
"E"
"W"
long_minutes: Optional[float]

Minutes of longitude.

maximum59
minimum0
long_seconds: Optional[float]

Seconds of longitude.

maximum59.999
minimum0
precision_horz: Optional[float]

Horizontal precision of location.

maximum90000000
minimum0
precision_vert: Optional[float]

Vertical precision of location.

maximum90000000
minimum0
size: Optional[float]

Size of location in meters.

maximum90000000
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class NAPTRRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["NAPTR"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted NAPTR content. See 'data' to set NAPTR properties.

data: Optional[Data]

Components of a NAPTR record.

flags: Optional[str]

Flags.

order: Optional[float]

Order.

maximum65535
minimum0
preference: Optional[float]

Preference.

maximum65535
minimum0
regex: Optional[str]

Regex.

replacement: Optional[str]

Replacement.

service: Optional[str]

Service.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class SMIMEARecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["SMIMEA"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted SMIMEA content. See 'data' to set SMIMEA properties.

data: Optional[Data]

Components of a SMIMEA record.

certificate: Optional[str]

Certificate.

matching_type: Optional[float]

Matching Type.

maximum255
minimum0
selector: Optional[float]

Selector.

maximum255
minimum0
usage: Optional[float]

Usage.

maximum255
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class SRVRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["SRV"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Priority, weight, port, and SRV target. See 'data' for setting the individual component values.

data: Optional[Data]

Components of a SRV record.

port: Optional[float]

The port of the service.

maximum65535
minimum0
priority: Optional[float]

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
target: Optional[str]

A valid hostname.

formathostname
weight: Optional[float]

The record weight.

maximum65535
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class SSHFPRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["SSHFP"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted SSHFP content. See 'data' to set SSHFP properties.

data: Optional[Data]

Components of a SSHFP record.

algorithm: Optional[float]

Algorithm.

maximum255
minimum0
fingerprint: Optional[str]

Fingerprint.

type: Optional[float]

Type.

maximum255
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class SVCBRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["SVCB"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted SVCB content. See 'data' to set SVCB properties.

data: Optional[Data]

Components of a SVCB record.

priority: Optional[float]

Priority.

maximum65535
minimum0
target: Optional[str]

Target.

value: Optional[str]

Value.

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class TLSARecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["TLSA"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted TLSA content. See 'data' to set TLSA properties.

data: Optional[Data]

Components of a TLSA record.

certificate: Optional[str]

Certificate.

matching_type: Optional[float]

Matching Type.

maximum255
minimum0
selector: Optional[float]

Selector.

maximum255
minimum0
usage: Optional[float]

Usage.

maximum255
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class URIRecord:
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["URI"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

Formatted URI content. See 'data' to set URI properties.

data: Optional[Data]

Components of a URI record.

target: Optional[str]

The record content.

weight: Optional[float]

The record weight.

maximum65535
minimum0
priority: Optional[float]

Required for MX and URI records; ignored for other record types (but may still be returned by the API). Records with lower priorities are preferred. This field is to be deprecated in favor of the priority field within the data map.

maximum65535
minimum0
proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[Settings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

puts: Optional[Iterable[BatchPutParam]]
One of the following:
class ARecord:
id: str

Identifier.

maxLength32
class AAAARecord:
id: str

Identifier.

maxLength32
class CNAMERecord:
id: str

Identifier.

maxLength32
class MXRecord:
id: str

Identifier.

maxLength32
class NSRecord:
id: str

Identifier.

maxLength32
class OpenpgpkeyRecord:
id: str

Identifier.

maxLength32
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment: Optional[str]

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: Optional[str]

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

proxied: Optional[bool]

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: Optional[OpenpgpkeyRecordSettings]

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: Optional[List[RecordTags]]

Custom tags for the DNS record. This field has no effect on DNS responses.

class PTRRecord:
id: str

Identifier.

maxLength32
class TXTRecord:
id: str

Identifier.

maxLength32
class CAARecord:
id: str

Identifier.

maxLength32
class CERTRecord:
id: str

Identifier.

maxLength32
class DNSKEYRecord:
id: str

Identifier.

maxLength32
class DSRecord:
id: str

Identifier.

maxLength32
class HTTPSRecord:
id: str

Identifier.

maxLength32
class LOCRecord:
id: str

Identifier.

maxLength32
class NAPTRRecord:
id: str

Identifier.

maxLength32
class SMIMEARecord:
id: str

Identifier.

maxLength32
class SRVRecord:
id: str

Identifier.

maxLength32
class SSHFPRecord:
id: str

Identifier.

maxLength32
class SVCBRecord:
id: str

Identifier.

maxLength32
class TLSARecord:
id: str

Identifier.

maxLength32
class URIRecord:
id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class RecordBatchResponse:
deletes: Optional[List[RecordResponse]]
One of the following:
class A:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class AAAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CNAME:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class MX:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class Openpgpkey:
id: str

Identifier.

maxLength32
comment: str

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: str

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

proxied: bool

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: OpenpgpkeySettings

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: List[RecordTags]

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class PTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TXT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CERT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DNSKEY:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class HTTPS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class LOC:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NAPTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SMIMEA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SRV:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SSHFP:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SVCB:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TLSA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class URI:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
patches: Optional[List[RecordResponse]]
One of the following:
class A:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class AAAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CNAME:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class MX:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class Openpgpkey:
id: str

Identifier.

maxLength32
comment: str

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: str

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

proxied: bool

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: OpenpgpkeySettings

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: List[RecordTags]

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class PTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TXT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CERT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DNSKEY:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class HTTPS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class LOC:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NAPTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SMIMEA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SRV:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SSHFP:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SVCB:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TLSA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class URI:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
posts: Optional[List[RecordResponse]]
One of the following:
class A:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class AAAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CNAME:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class MX:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class Openpgpkey:
id: str

Identifier.

maxLength32
comment: str

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: str

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

proxied: bool

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: OpenpgpkeySettings

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: List[RecordTags]

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class PTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TXT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CERT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DNSKEY:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class HTTPS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class LOC:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NAPTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SMIMEA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SRV:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SSHFP:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SVCB:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TLSA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class URI:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
puts: Optional[List[RecordResponse]]
One of the following:
class A:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class AAAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CNAME:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class MX:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class Openpgpkey:
id: str

Identifier.

maxLength32
comment: str

Comments or notes about the DNS record. This field has no effect on DNS responses.

content: str

A single Base64-encoded OpenPGP Transferable Public Key (RFC 4880 Section 11.1)

created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
name: str

Complete DNS record name, including the zone name, in Punycode.

maxLength255
minLength1
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

proxied: bool

Whether the record is receiving the performance and security benefits of Cloudflare.

settings: OpenpgpkeySettings

Settings for the DNS record.

ipv4_only: Optional[bool]

When enabled, only A records will be generated, and AAAA records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

ipv6_only: Optional[bool]

When enabled, only AAAA records will be generated, and A records will not be created. This setting is intended for exceptional cases. Note that this option only applies to proxied records and it has no effect on whether Cloudflare communicates with the origin using IPv4 or IPv6.

tags: List[RecordTags]

Custom tags for the DNS record. This field has no effect on DNS responses.

ttl: TTL

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

One of the following:
float
Literal[1]

Time To Live (TTL) of the DNS record in seconds. Setting to 1 means 'automatic'. Value must be between 60 and 86400, with the minimum reduced to 30 for Enterprise zones.

type: Literal["OPENPGPKEY"]

Record type.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class PTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class TXT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CAA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class CERT:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DNSKEY:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class DS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class HTTPS:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class LOC:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class NAPTR:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
meta: object

Extra Cloudflare-specific information about the record.

modified_on: datetime

When the record was last modified.

formatdate-time
proxiable: bool

Whether the record can be proxied by Cloudflare or not.

comment_modified_on: Optional[datetime]

When the record comment was last modified. Omitted if there is no comment.

formatdate-time
tags_modified_on: Optional[datetime]

When the record tags were last modified. Omitted if there are no tags.

formatdate-time
class SMIMEA:
id: str

Identifier.

maxLength32
created_on: datetime

When the record was created.

formatdate-time
[...]
